<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Document</title>
    </head>
    <body>
        <header>
            <nav>
                <ul>
                    {% if user.is_authenticated %}
                        <li>
                            <a href="{% url 'show_my_tasks' %}">My tasks</a>
                        </li>
                        <li>
                            <a href="{% url 'list_projects' %}">My projects</a>
                        </li>
                        <li>
                            <a href="{% url 'logout' %}">Logout</a>
                        </li>
                    {% else %}
                        <li>
                            <a href="{% url 'login' %}">Login</a>
                        </li>
                        <li>
                            <a href="{% url 'signup' %}">Signup</a>
                        </li>
                    {% endif %}
                </ul>
            </nav>
        </header>
        <main>
            <div>
                <h1>My Projects</h1>
                <a href="{% url 'create_project' %}">Create a new project</a>
                <p>
                    <table>
                        {% if projects_list %}
                            <thead>
                                <tr>
                                    <th>Name</th>
                                    <th>Number of tasks</th>
                                </tr>
                            </thead>
                            <tbody>
                                {% for project in projects_list %}
                                    <div>
                                        <h2>
                                            <a href="{% url 'show_project' project.id %}">{{ project.name }}</a>
                                        </h2>
                                        <p>{{ project.description }}</p>
                                        <p>Number of tasks: {{ project.tasks.all|length }}</p>
                                    </div>
                                {% endfor %}
                            {% else %}
                                <p>You are not assigned to any projects</p>
                            {% endif %}
                        </tbody>
                    </table>
                </div>
            </main>
        </body>
    </html>
